Bug 63711 - Bad alternative hyphenation in Calc (but good in Writer)
Summary: Bad alternative hyphenation in Calc (but good in Writer)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: László Németh
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-19 08:36 UTC by László Németh
Modified: 2013-12-16 00:55 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test file (11.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-19 09:49 UTC, László Németh
Details
fixed hyphenation in Calc (screenshot) (15.82 KB, image/png)
2013-04-19 09:52 UTC, László Németh
Details
Test hyphenation patterns (replacement for the German hyph_de.dic) (246 bytes, application/octet-stream)
2013-04-19 09:56 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-04-19 08:36:22 UTC
Calc doesn't handle all alternative hyphenation patterns of the recent hyphenation dictionaries. Catalan, Hungarian, maybe recent Dutch, Norwegian, Sweden. 

Catalan „paral·lel” -> bad „parall=lel”, instead of „paral=lel”
Hungarian „asszonnyal” -> bad „az=szoy=nyal”, instead of „asz=szony=nyal”

This is the root of the following problem, too: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1051955 (depends from the version of the hyphenation patterns and LibreOffice). 

IT-department -> ITT=department, instead of „IT=department”
Comment 1 László Németh 2013-04-19 09:49:37 UTC
Created attachment 78223 [details]
test file
Comment 2 Commit Notification 2013-04-19 09:51:43 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1f7dfebb3d147471ed2aa6a5b50326688cb4007

fdo#63711 Calc: fix Catalan and Hungarian hyphenation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 László Németh 2013-04-19 09:52:10 UTC
Created attachment 78224 [details]
fixed hyphenation in Calc (screenshot)
Comment 4 László Németh 2013-04-19 09:56:45 UTC
Created attachment 78225 [details]
Test hyphenation patterns (replacement for the German hyph_de.dic)

Hyphenation pattern for the attached test file. 

Testing: replace the hyph_de.dic hyphenation dictionary of an LibreOffice installation with this file.

Source of the file: hyphen-1.2.8/test/unicode.pat.
Comment 5 Commit Notification 2013-04-24 08:34:56 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=377e95a33f77dcb7e76c4afc98f9d61465363d75&h=libreoffice-4-0

fdo#63711 Calc: fix Catalan and Hungarian hyphenation


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.